require 'sequel'
require 'persisto/exceptions'

module Persisto
	module Query
		attr_accessor :store

		def query
			raise NotImplementedError
		end

		private

		def lit *args
			Sequel.lit(*args)
		end

		def dump *args
			raise(QueryError, 'store not assigned') unless store
			store.dump(*args)
		end
	end
end